{{define "body"}}
<button class="button" x-data="{}" @click="$dispatch('show-modal', { id: 1 })">Show</button>
<div class="modal" x-data="{ 'show': false, name: '', isLoading: false, refresh: function(id) {
        this.isLoading = true;
        fetch('http://dummy.restapiexample.com/api/v1/employee/' + id)
            .then(response => response.json())
            .then((body) => {
                this.name = body.data.employee_name
            })
            .finally(() => this.isLoading = false)
    }}" :class="{ 'is-active': show }"
        x-on:show-modal.window="show = !show; refresh($event.detail.id)">
    <div class="modal-background"></div>
    <div class="modal-content">
        <div class="box">
            <div class="title has-text-centered">หน้าต่าง Modal</div>
            <div class="subtitle">
                <span x-text="name"></span>
            </div>
            <div class="field is-grouped">
                <div class="control">
                    <button class="button is-link" @click="refresh(2)" :class="{ 'is-loading': isLoading }">Get ID 2</button>
                </div>
                <div class="control">
                    <button class="button is-link is-light" @click="show = false">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <button class="modal-close is-large" aria-label="close" @click="show = false"></button>
</div>
{{end}}